Bug 34343 - Невозможно установить некоторые скины настройках оформления.
: Невозможно установить некоторые скины настройках оформления.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 33982
:
  Show dependency tree
 
Reported: 2017-12-14 18:28 by
Modified: 2018-08-21 01:43 (History)


Attachments
Ошибка оформления mc (193.36 KB, image/jpeg)
2017-12-14 18:29, Egor Zotov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-12-14 18:28:23
Как воспроизвести:
Настройки -> Оформление -> выбрать скин seaseons-automn16m, seaseons-spring16m,
seaseons-summer16m, seaseons-winter16m.

Ошибка:
Невозможно использовать скин "seasons-automn16m", требующий True Color: True
Color not supported in this slang version. Будет использован скин по умолчанию.
------- Comment #1 From 2017-12-14 18:29:41 -------
Created an attachment (id=7315) [details]
Ошибка оформления mc
------- Comment #2 From 2017-12-14 21:39:55 -------
Собственно, даже в сообщении об ошибке говорится, что проблема не в mc

*** This bug has been marked as a duplicate of bug 33982 ***
------- Comment #3 From 2017-12-14 21:53:59 -------
Вот так правильнее.
------- Comment #4 From 2018-08-20 10:22:57 -------
В задании 211597 лежат SLang 2.3.2 и mc, с ним пересобранный. Но у меня
проверить не получается пока - в p8 это уже не ставится. Сизиф есть только
безиксовый, там тоже что-то не работает. Запустить, по идее, надо с установкой
COLORTERM:

COLORTERM=truecolor mc

И ещё у SLang есть ограничение: 

The SLtt interface has been modified to support 24 bit (true)
colors.  Until the next major release (version 3), this feature is
available for 64 bit Unix/VMS systems to keep binary compatibility.
Support for 32 bit systems will be added in version 3.
------- Comment #5 From 2018-08-20 10:24:37 -------
(In reply to comment #4)

> там тоже что-то не работает.

Ещё и по ssh.
------- Comment #6 From 2018-08-21 01:43:09 -------
mc-4.8.21-alt2 -> sisyphus:

Mon Aug 20 2018 Sergey Y. Afonin <asy@altlinux.ru> 4.8.21-alt2
- updated to 20180819 git snapshot (ALT #35188)
- rebuilt with S-Lang 2.3.2 (ALT #34343)
- removed alt-rpm-select.patch, added "Requires: rpm >= 4.13"